void printi(int val);

typedef int int_t;
typedef int_t int2_t;

int main()
{
  int_t i0;
  int2_t i1;

  printi(sizeof(i0));
  printi(sizeof(i1));

  i0 = 10;
  i1 = 20;

  printi(i0);
  printi(i1);

  return 0;
}
